View Issue Details

IDProjectCategoryView StatusLast Update
0000039Silver Monkey[All Projects] Bug Reportspublic2018-04-09 07:05
ReporterJakeGrath 
Assigned Togerolkae 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version10
Product Version 
Target Version2.19.x.Fixed in Version2.19. Beta 3 
Summary0000039: Version 2.19.12.207; Bot unable to Backup/Restore PSinfo to/from .db file.
DescriptionI had my bot triggered by certain emits to store/restore characters from .db file. Would provide verbal feedback to commands, but does not seem to handle the job.
Steps To ReproduceRun a bot using the attached .ms code, load up a dream where the bot will have PS access.
Manually set PS info for a few dummy characters.
Emit the message "Store <name> <yourname>" to the bot.
This will attempt to backup a character, will show a verbal response.
Manually clear the PS of the character you just tried to store after a few seconds.
Emit the message "Get <name> <yourname>" to the bot.
This will attempt to restore the character specified, will show a verbal response.
Try to grab the PS info of the character you just attempted to restore, the PS info wouldn't be there...
Additional Information*MSPK V04.00 Silver Monkey
**MonkeySpeak Script File
*Created by <El Furriando>

(0:0) When the bot starts,
(5:500) use SQLite database file {MapDataStorage.db} or create file if it does not exist.

(0:23) When someone emits something with {Store} in it,
(0:23) When someone emits something with {Get} in it,
(5:120) use variable %MESSAGE and take word position 2 and put it into variable %data.
(5:120) use variable %MESSAGE and take word position 3 and put it into variable %trigger.



(0:23) When someone emits something with {Store} in it,
*(1:513) and the Database info {d} about the furre named {%data} is less than or equal to 0,
(1:520) and the bot is not in the middle of a PS Backup Process,
(1:522) and the bot is not in the middle of a PS Restore Process,
(5:0) say {Backing up...}.
(5:554) backup character named {%data} Phoenix Speak. (use "[DREAM]" to restore information specific to the dream)

(0:23) When someone emits something with {Get} in it,
*
*(1:510) and the Database info {d} about the furre named {%data} is greater than 0,
(1:520) and the bot is not in the middle of a PS Backup Process,
(1:522) and the bot is not in the middle of a PS Restore Process,
(5:0) say {Restoring...}.
(5:555) restore Phoenix Speak for character {%data}. (use "[DREAM]" to restore information specific to the dream)


(0:23) When someone emits something with {Names} in it,
(5:81) Store PSInfo Key Names to Variable %names.
(5:0) say {%names}.


*Endtriggers* 8888 *Endtriggers*
Tagsglitch, Monkey Speak, SQLite

Relationships

related to 0000030 closedgerolkae Consolidate Phoenix Speak code to Seperate Classes 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2017-02-07 22:12 JakeGrath New Issue
2017-02-07 22:12 JakeGrath Tag Attached: glitch
2017-02-07 22:12 JakeGrath Tag Attached: Monkey Speak
2017-02-07 22:12 JakeGrath Tag Attached: SQLite
2017-02-08 16:19 gerolkae Assigned To => gerolkae
2017-02-08 16:19 gerolkae Status new => assigned
2017-02-08 16:19 gerolkae Target Version => 2.19.x.
2017-02-08 16:21 gerolkae Relationship added related to 0000030
2018-04-09 07:05 gerolkae Status assigned => closed
2018-04-09 07:05 gerolkae Resolution open => fixed
2018-04-09 07:05 gerolkae Fixed in Version => 2.19. Beta 3